DeepFellow DOCS

Delete a specific toolbox

Remove specific toolbox.

Needs admin bearer token in authorization header.

DELETE
/toolboxes/{toolbox_id}
Authorization[Bearer <token>]

In: header

Path Parameters

toolbox_id[Toolbox Id]

The ID of the toolbox to delete

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X DELETE "https://deepfellow-server-host/toolboxes/5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "name": "string",
  "project_id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.